# norootforbuild
%define pkg_name    mysqlnd_uh
%define pkg_version 0.1.0a1
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-mysqlnd_uh
Version:	%{pkg_version}
Release:	2.18
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	gcc gcc-c++
BuildRequires:	php5-devel >= 5.3.0
BuildRequires:	libmemcached-devel
#BuildRequires:	mysql-devel
BuildRequires:	sqlite-devel >= 3.0
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	A query cache plugin for mysqlnd

%description
The mysqlnd query result cache plugin is a mysqlnd plugin. It adds basic client side
result set caching to all PHP MySQL extensions (ext/mysql, ext/mysqli, PDO_MySQL),
if they are compiled to use mysqlnd. It does not change the API of the MySQL extensions
and thus it operates virtually transparent for applications."

Authors:
---------

		Andrey Hristov
		Ulf Wendel

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-libdir=%{_lib} \
 --enable-mysqlnd-uh

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable mysqlnd_uh extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/mysqlnd_uh.ini
echo "extension = mysqlnd_uh.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/mysqlnd_uh.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/mysqlnd_uh.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/mysqlnd_uh.ini

%changelog
* Thu Oct 21 2010 Carsten Schoene <cs@linux-administrator.com> - 0.1.0a1-1
- initial build version 0.1.0a1
